import { defineBoot } from '#q-app/wrappers'
import * as Sentry from '@sentry/vue';

export default defineBoot(({ app }) => {
  Sentry.init({
    app,
    dsn: "https://c117cc7eee3a88df9d289edc77d57c60@o4511152447553536.ingest.us.sentry.io/4511152493559808",
    sendDefaultPii: true,
    enableLogs: true,
      integrations: [
        Sentry.browserTracingIntegration(),
        Sentry.replayIntegration()
      ],
    tracesSampleRate: 1.0,
    replaysSessionSampleRate: 0.1,
    replaysOnErrorSampleRate: 1.0,
  });
})
